const electron = require('electron');
const app = electron.app;
const BrowserWindow = electron.BrowserWindow;
const crashReporter = electron.crashReporter;

crashReporter.start({
  productName: 'NeedleWork',
  companyName: 'AP Communications',
  submitURL: 'https://192.0.2.1:8080/',
  uploadToServer: false
});

var mainWindow = null;

app.on('window-all-closed', function() {
    app.quit();
});

app.on('ready', function() {

  // ブラウザ(Chromium)の起動, 初期画面のロード
  mainWindow = new BrowserWindow({width: 1100, height: 680});
  //mainWindow = new BrowserWindow({width: 800, height: 600, 'node-integration':false});
  mainWindow.loadURL('file://' + __dirname + '/index.html');

  mainWindow.on('closed', function() {
    mainWindow = null;
  });
});
